#!/bin/bash
if [ "$(id -u)" -ne 0 ]; then
	echo "switching from $(id -un) to root"
	exec sudo "$0" "$@"
fi

cd "$(dirname "$0")"
DIR="$(dirname "$0")"
cd ..
echo $PWD
if [ ! -d "./outputs/root" ]; then
    mkdir -p ./outputs/root/
    debootstrap noble ./outputs/root http://archive.ubuntu.com/ubuntu
fi
rm -rf './outputs/chroot'
mkdir -p ./outputs/chroot/
rsync -av ./outputs/root/ ./outputs/chroot/
mkdir -p ./outputs/chroot/proc
mount --bind /proc ./outputs/chroot/proc
cp ./config/filesystem_chroot_install.sh ./outputs/chroot/filesystem_chroot_install.sh
chmod +x ./outputs/chroot/filesystem_chroot_install.sh
chroot ./outputs/chroot /bin/bash -c "/filesystem_chroot_install.sh"
cd $DIR
cd ..
if mountpoint -q "./outputs/chroot/proc/"; then
  umount -lf "./outputs/chroot/proc/"
fi
echo 'root filesystem created.'


